#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main()
{
    long long vrednost;
    cin >> vrednost;
    int brojCifara = to_string(vrednost).length()-1;
    int brojNovcanica = 0;

    for(int i = brojCifara; i >= 0; i--){
        switch ((long long)(vrednost / pow(10, i))){
    case 1:
        brojNovcanica++;
        break;
    case 2:
        brojNovcanica++;
        break;
    case 3:
        brojNovcanica += 2;
        break;
    case 4:
        brojNovcanica += 2;
        break;
    case 5:
        brojNovcanica++;
        break;
    case 6:
        brojNovcanica += 2;
        break;
    case 7:
        brojNovcanica += 2;
        break;
    case 8:
        brojNovcanica += 3;
        break;
    case 9:
        brojNovcanica += 3;
        break;
        }
    vrednost -= (long long)(vrednost / pow(10, i)) * pow(10, i);
    }

    cout << brojNovcanica;
    return 0;
}